#!/bin/sh

# Zorge.R - motofan.ru

mypath=${0%/*}
LIBDIR1=/ezxlocal/download/mystuff/games/lib
LIBDIR2=/mmc/mmca1/games/lib
LIBDIR3=$mypath/lib
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR1:$LIBDIR2:$LIBDIR3

curtrans=`cat $mypath/curtrans`

export IFILENAME="$2"
export EXIT="$2"
export IDIRNAME=`busybox dirname "$2"`
export DIRNAME=`busybox dirname "$0"`

LS=`ls -a | sed -e "/^\.$/d" | sed -e "/^\..$/d" | sed s/\ /~/g`

showRadio "Select file" "`pwd`" "> ../../" "> Select folder" $LS
RADIORES=$?
if [ $RADIORES -eq 0 ]
then
	exit
elif [ $RADIORES -eq 2 ]
then
	showRadio "Select folder" "`pwd`" $LS
	RADIORES2=$?
	if [ $RADIORES2 -eq -1 ]
		then
			exit
		else
			let n=$RADIORES2
			CD=`ls -a | sed -e "/^\.$/d" | sed -e "/^\..$/d" | sed -n $n\p`
			if [ -d "$CD" ]
				then
					export IDIRNAME=`pwd`
					export IFILENAME="$CD"
					$mypath/slideshow -width 320 -height 240 -tran $curtrans -name -ready "$IFILENAME"
				else
					export IDIRNAME=`pwd`
					export IFILENAME="$CD"
					$mypath/slideshow -width 320 -height 240 -tran $curtrans -name -ready "$IFILENAME"
			fi
	fi
elif [ $RADIORES -eq 1 ]
then
	cd ../
	exec "$0"
else
	let n=$RADIORES-2
	CD=`ls -a | sed -e "/^\.$/d" | sed -e "/^\..$/d" | sed -n $n\p`
	if [ -d "$CD" ]
	then
		cd "$CD"
		exec "$0"
	else
		export IDIRNAME=`pwd`
		export IFILENAME="$CD"
		$mypath/slideshow -width 320 -height 240 -tran $curtrans -name -ready "$IFILENAME"
	fi
fi




